association/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.index, name='page_accueil'),
    path('contact', views.contact, name='page_contact'),

    path('pdg/', include('authentification.urls')),
    path('core/', include('core.urls')),

    path('admin/', admin.site.urls),
]

authentification/urls.py
from django.urls import path
from . import views

app_name = 'pdg'
urlpatterns = [
    path('authentification/', views.registration, name='page_inscription'),

    # Route pour authentification
    path('login/', views.login_pdg, name='login'),
    path('registration/', views.registration_pdg, name='registration'),
    path('logout/', views.logout_pdg, name='logout'),
]

core/urls.py
from django.urls import path
from . import views

app_name = 'core'
urlpatterns = [

     # Route des pages autorisées aux utilisateurs connectés
     path('tableau-de-bord/', views.dashbord_pdg, name='page_dashbord'),
     path('mon-profil/', views.profile_pdg, name='page_profile'),
     path('creation-de-groupe/', views.create_group_pdg, name='page_new_group'),
     path('rejoindre-un-groupe/', views.join_group_pdg, name='page_join_group'),
     path('mes-groupes/', views.groups_pdg, name='page_groups'),
     path('mon-groupe/<str:code>/detail/',
          views.group_detail_pdg, name='page_detail_group'),
     path('mes-messages/', views.messages_pdg, name='page_messages'),
     path('validation-en-attente/',
          views.atendance_validation_pdg, name='page_validation'),
     path('validation-en-attente/<str:id>/validate/', views.groupe_validation, name='page_validate'),
     path('configuration/', views.settings_pdg, name='page_settings'),
]

authentification/models.py
from django.db import models

# Create your models here.

authentification/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm


class UserForm(UserCreationForm):
    username = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Nom utilisateur', 'max_length': 50, 'required': 'required'}))

    email = forms.EmailField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Email', 'max_length': 50, 'required': 'required'}))

    last_name = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Nom', 'max_length': 50, 'required': 'required'}))

    first_name = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Prenom', 'max_length': 50, 'required': 'required'}))

    password1 = forms.CharField(widget=forms.PasswordInput(
        attrs={'class': 'form-control', 'placeholder': 'Mot de passe', 'max_length': 50, 'required': 'required'}))

    password2 = forms.CharField(widget=forms.PasswordInput(
        attrs={'class': 'form-control', 'placeholder': 'Mot de passe', 'max_length': 50, 'required': 'required'}))

    class Meta:
        model = User
        fields = ("username", "email", "first_name",
                  "last_name", "password1", "password2",)

authentification/views.py
#!/usr/bin/env python
# -*- coding: utf-8 -*-*
from django.shortcuts import render, redirect
from django.http import HttpResponse, HttpResponseRedirect
from django.contrib.auth.models import User
from .forms import UserForm

from django.contrib import messages

# requis pour la connexion
# Decorateurs
from django.contrib.auth.decorators import login_required
from django.urls import reverse
# Login
from django.contrib.auth import login, authenticate, logout

# Create your views here.


def registration(request):
    form = UserForm()
    data = {
        'page': {
            'title': 'Authentification',
            'title_desc': 'Akwaba',
        },
        'form': form,
    }
    return render(request, 'registration.html', data)

# Fonction de registration login - logout
# Registration


def registration_pdg(request):
    if request.method == 'POST':
        form = UserForm(request.POST)
        if form.is_valid():
            form.save()
            # Connexion
            username = form.cleaned_data['username']
            password = form.cleaned_data['password1']
            user = authenticate(username=username, password=password)
            login(request, user)
            # Message
            messages.success(
                request, 'Votre compte a été crée sur Association')

            return redirect('core:page_dashbord')
        

    else:
        form = UserForm()

    return render(request, 'registration.html', {'form': form})


# Login
def login_pdg(request):
    data = {}
    if request.method == 'POST':
        # Recuperation des donnees postees
        credential = request.POST.get('credential')
        password = request.POST.get('password')
        # Authentification
        user = authenticate(username=credential, password=password)
        if user:
            if user.is_active:
                login(request, user)
                messages.success(request, "Connexion reussie!")
                return redirect('core:page_dashbord')
            else:
                messages.warning(
                request, 'Compte Inactif')
        else:
            messages.warning(
                request, 'Nom utilisateur ou mot de passe invalide')

    return render(request, 'registration.html', data)


# Logout
@login_required(login_url="pdg:page_inscription")
def logout_pdg(request):
    logout(request)
    return HttpResponseRedirect(reverse("pdg:page_inscription"))

authentification/templates/authentification/login_menu.html
<div class="profile-list"> 
    <ul>
        <li {% if page.dashbord_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_dashbord' %}"><i class="fa fa-dashboard" aria-hidden="true"></i> Tableau de bord</a>
        </li>        
        <li {% if page.groups_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_groups' %}"><i class="fa fa-sliders" aria-hidden="true"></i> Mes groupes</a>
        </li>
        <li {% if page.join_group_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_join_group' %}"><i class="fa fa-eye" aria-hidden="true"></i> Rejoindre un groupe</a>
        </li>      
        <li {% if page.validation_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_validation' %}"><i class="fa fa-check" aria-hidden="true"></i> Validation en attente</a>
        </li>
        <li {% if page.new_group_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_new_group' %}"><i class="fa fa-plus-square" aria-hidden="true"></i> Créer un groupe</a>
        </li> 
        <li {% if page.messages_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_messages' %}"><i class="fa fa-commenting" aria-hidden="true"></i> Message</a>
        </li>
        <li {% if page.settings_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_settings' %}"><i class="fa fa-cogs" aria-hidden="true"></i> Configuration</a>
        </li>        
        <li {% if page.profile_active %} class="active" {% endif %}>
            <a href="{% url 'core:page_profile' %}"><i class="fa fa-user-o" aria-hidden="true"></i> Profil</a>
        </li>
        <li>
            <a href="{% url 'pdg:logout' %}"><i class="fa fa-lock" aria-hidden="true"></i> Deconnexion</a>
        </li>
    </ul>
</div>